import { Navbar, Text } from '@nextui-org/react'
import Logo from './Logo'
// import { useRouter } from 'next/router'

export default function Nav() {
    return (
        // <>
        <Navbar isBordered isCompact variant={"floating"}>
            <Navbar.Brand>
                <Logo />
            </Navbar.Brand>
            <Navbar.Content hideIn={'xs'} variant={"highlight"}>
                <Navbar.Link href={'characters'}>
                    Characters
                </Navbar.Link>
                <Navbar.Link href={'gallery'}>
                    Gallery
                </Navbar.Link>
                <Navbar.Link href={'writing'}>
                    Writing
                </Navbar.Link>
            </Navbar.Content>
            <Navbar.Content>
                <Navbar.Link href={'https://lio.to'}>
                    Personal Site
                </Navbar.Link>
            </Navbar.Content>
        </Navbar>
        // </>
    )
}