export interface Character {
    id: number
    name: string
    species: string
    booru_tag: string
    image: string
}

export type CharacterList = Character[]

export type NocoCharacterResponse = {
    list: CharacterList
    pageInfo: {
        totalRows: number
        page: number
        pageSize: number
        isFirstPage: boolean
        isLastPage: boolean
    }
}